Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.mail.event
Interface FolderListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  FolderAdapter

    public interface FolderListener

extends EventListener

This is the Listener interface for Folder events.

Method Summary
`void` | `folderCreated(FolderEvent e)` Invoked when a Folder is created.
`void` | `folderDeleted(FolderEvent e)` Invoked when a folder is deleted.
`void` | `folderRenamed(FolderEvent e)` Invoked when a folder is renamed.

Method Detail

### folderCreated

    void folderCreated(FolderEvent e)

  Invoked when a Folder is created.

### folderDeleted

    void folderDeleted(FolderEvent e)

  Invoked when a folder is deleted.

### folderRenamed

    void folderRenamed(FolderEvent e)

  Invoked when a folder is renamed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Sun Microsystems, Inc.. All Rights Reserved.